add debian init scripts

These are debian's init scripts as taken from their trunk svn
as of today.  Thanks Juerg.
This commit is contained in:
Scott Moser 2013-07-25 17:03:55 -04:00
commit eefc25a7f4
10 changed files with 267 additions and 2 deletions

View File

@ -95,12 +95,20 @@ def main():
default=False,
action='store_true')
parser.add_argument("--init-system", dest="init_system",
help=("build deb with INIT_SYSTEM=xxx"
" (default: %(default)s"),
default=os.environ.get("INIT_SYSTEM", "upstart"))
for ent in DEBUILD_ARGS:
parser.add_argument(ent, dest="debuild_args", action='append_const',
const=ent, help=("pass through '%s' to debuild" % ent))
args = parser.parse_args()
os.environ['INIT_SYSTEM'] = args.init_system
capture = True
if args.verbose:
capture = False

View File

@ -37,8 +37,8 @@ def is_f(p):
INITSYS_FILES = {
'sysvinit': [f for f in glob('sysvinit/*') if is_f(f)],
'sysvinit_deb': [f for f in glob('sysvinit/*') if is_f(f)],
'sysvinit': [f for f in glob('sysvinit/redhat/*') if is_f(f)],
'sysvinit_deb': [f for f in glob('sysvinit/debian/*') if is_f(f)],
'systemd': [f for f in glob('systemd/*') if is_f(f)],
'upstart': [f for f in glob('upstart/*') if is_f(f)],
}

View File

@ -0,0 +1,64 @@
#! /bin/sh
### BEGIN INIT INFO
# Provides: cloud-config
# Required-Start: cloud-init cloud-init-local
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Cloud init modules --mode config
# Description: Cloud configuration initialization
### END INIT INFO
# Authors: Julien Danjou <acid@debian.org>
# Juerg Haefliger <juerg.haefliger@hp.com>
# Thomas Goirand <zigo@debian.org>
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Cloud service"
NAME=cloud-init
DAEMON=/usr/bin/$NAME
DAEMON_ARGS="modules --mode config"
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
if init_is_upstart; then
case "$1" in
stop)
exit 0
;;
*)
exit 1
;;
esac
fi
case "$1" in
start)
log_daemon_msg "Starting $DESC" "$NAME"
$DAEMON ${DAEMON_ARGS}
case "$?" in
0|1) log_end_msg 0 ;;
2) log_end_msg 1 ;;
esac
;;
stop|restart|force-reload)
echo "Error: argument '$1' not supported" >&2
exit 3
;;
*)
echo "Usage: $SCRIPTNAME {start}" >&2
exit 3
;;
esac
:

View File

@ -0,0 +1,66 @@
#! /bin/sh
### BEGIN INIT INFO
# Provides: cloud-final
# Required-Start: $all cloud-config
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Cloud init modules final jobs
# Description: This runs the cloud configuration initialization "final" jobs
# and can be seen as the traditional "rc.local" time for the cloud.
# It runs after all cloud-config jobs are run
### END INIT INFO
# Authors: Julien Danjou <acid@debian.org>
# Juerg Haefliger <juerg.haefliger@hp.com>
# Thomas Goirand <zigo@debian.org>
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Cloud service"
NAME=cloud-init
DAEMON=/usr/bin/$NAME
DAEMON_ARGS="modules --mode final"
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
if init_is_upstart; then
case "$1" in
stop)
exit 0
;;
*)
exit 1
;;
esac
fi
case "$1" in
start)
log_daemon_msg "Starting $DESC" "$NAME"
$DAEMON ${DAEMON_ARGS}
case "$?" in
0|1) log_end_msg 0 ;;
2) log_end_msg 1 ;;
esac
;;
stop|restart|force-reload)
echo "Error: argument '$1' not supported" >&2
exit 3
;;
*)
echo "Usage: $SCRIPTNAME {start}" >&2
exit 3
;;
esac
:

64
sysvinit/debian/cloud-init Executable file
View File

@ -0,0 +1,64 @@
#! /bin/sh
### BEGIN INIT INFO
# Provides: cloud-init
# Required-Start: $local_fs $remote_fs $syslog $network cloud-init-local
# Required-Stop: $remote_fs
# X-Start-Before: sshd
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Cloud init
# Description: Cloud configuration initialization
### END INIT INFO
# Authors: Julien Danjou <acid@debian.org>
# Thomas Goirand <zigo@debian.org>
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Cloud service"
NAME=cloud-init
DAEMON=/usr/bin/$NAME
DAEMON_ARGS="init"
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
if init_is_upstart; then
case "$1" in
stop)
exit 0
;;
*)
exit 1
;;
esac
fi
case "$1" in
start)
log_daemon_msg "Starting $DESC" "$NAME"
$DAEMON ${DAEMON_ARGS}
case "$?" in
0|1) log_end_msg 0 ;;
2) log_end_msg 1 ;;
esac
;;
stop|restart|force-reload)
echo "Error: argument '$1' not supported" >&2
exit 3
;;
*)
echo "Usage: $SCRIPTNAME {start}" >&2
exit 3
;;
esac
:

View File

@ -0,0 +1,63 @@
#! /bin/sh
### BEGIN INIT INFO
# Provides: cloud-init-local
# Required-Start: $local_fs $remote_fs
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Cloud init local
# Description: Cloud configuration initialization
### END INIT INFO
# Authors: Julien Danjou <acid@debian.org>
# Juerg Haefliger <juerg.haefliger@hp.com>
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Cloud service"
NAME=cloud-init
DAEMON=/usr/bin/$NAME
DAEMON_ARGS="init --local"
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
if init_is_upstart; then
case "$1" in
stop)
exit 0
;;
*)
exit 1
;;
esac
fi
case "$1" in
start)
log_daemon_msg "Starting $DESC" "$NAME"
$DAEMON ${DAEMON_ARGS}
case "$?" in
0|1) log_end_msg 0 ;;
2) log_end_msg 1 ;;
esac
;;
stop|restart|force-reload)
echo "Error: argument '$1' not supported" >&2
exit 3
;;
*)
echo "Usage: $SCRIPTNAME {start}" >&2
exit 3
;;
esac
: